
using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.FO
{
    /// <summary>
    /// 班组安全活动人员表
    /// </summary>
    [Description("班组安全活动人员表")]
    public class T_FO_TEAM_ACTIVITY_USER : MesEntityBase
    {
        [DataFieldForeignKey("Nav_TeamActivity", "Nav_TeamActivityUser")]   //定义导航属性外键
        [Description("班组安全活动记录ID")]
        public Guid TEAM_ACTIVITY_ID { get; set; }

        //----------------------------------------------------
        [Description("导航属性：主记录")]   //建立主表与子表的查询逻辑关系
        public virtual T_FO_TEAM_ACTIVITY Nav_TeamActivity { get; set; }

        //----------------------------------------------------
        [Description("人员ID")]
        [DataFieldForeignKey("Nav_User")]
        public Guid USER_ID { get; set; }   //建立当前表字段

        [Description("导航: 人员")]
        [FormFieldEdit]
        public virtual T_FM_USER Nav_User { get; set; }

        //---------------------------------------------------
        [Description("出席状态")]
        [FormFieldEdit]
        [EnumName("FOAttendState")]     //为枚举（1参会 2缺席）
        public int ATTEND_STATUS { get; set; }

        //---------------------------------------------------
        [Description("签到状态")]
        [FormFieldEdit]
        [EnumName("FOUserShiftStatusEnum")]     //为枚举（0待处理 1已处理）
        public int SIGN_IN_STATUS { get; set; }




    }
}
